<?php

//USING
require_once 'controls/verifylogin.php';
require_once '../Class/model/GrupoContasModel.php';
require_once '../Class/controller/GrupoContasControl.php';

$control = new GrupoContasControl();
$model = new GrupoContasModel();

$control->setAction();
$control->setId();

$action = $control->getAction();
$id = $control->getId();

//LoadDados
if ($id > 0)
{
	$model->load($id);
}

if($action == 'save')
{
	try 
	{
		$control->GetData();
		header( 'Location: grupocontas.php' );
	}
	catch(Exception $err)
	{
		echo "<script>alert('Ocorreu um problema ao salvar o registro.');</script>";
	}
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<title>Módulo Financeiro</title>

<?php include_once('controls/import.php'); ?>
<script src="js/grupocontas.js" type="text/javascript"></script>

</head>
<body>

<?php include_once('controls/header.php'); ?>

<div class="content">

<div class="form"><?php include_once('controls/menu.php'); ?>

<div id="conteudo-site">

<div class="titulo-conteudo-site"><img src="images/applications.png"
	title="" alt="" /> Cadastro de Grupos de Contas</div>

<form id="frmRegister" method="post" action=""><input type="hidden"
	id="hdnAction" name="action" value="save" /> <input type="hidden"
	id="hdnId" name="Id" value="<?php echo $model->getId();?>" />

<table border="0" cellpadding="3" cellspacing="0" class="tblGeral"
	width="100%">
	<tr>
		<td><span class="title">Nome do Grupo da Contas:</span></td>
		<td><input type="text" id="nome" name="nome" class="content-data"
			style="width: 300px;" value="<?php echo $model->getNome();?>" /></td>
	</tr>
	<tr>
		<td><span class="title">Ordem:</span></td>
		<td><input type="text" id="ordem" name="ordem" class="content-data"
			style="width: 80px;" value="<?php echo $model->getOrdem();?>" onkeyup="formataInteiro(this,event);" /></td>
	</tr>
</table>

<div id="pBotoes" style="text-align: right"><span>&nbsp;</span> <br />
<input type="submit" id="btnSalvar" name="btnSalvar" class="submit" value="Salvar" /> <input
	type="button" name="btnCancelar" class="submit" value="Cancelar"
	onclick="window. location.href='grupocontas.php'" /></div>

</form>

</div>

</div>

</div>

<?php include_once('controls/footer.php'); ?>

</body>
</html>
